List deposits
curl --request GET \
--url https://cc.nadcab.com/api/v1/account/rechargeList \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cc.nadcab.com/api/v1/account/rechargeList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/account/rechargeList"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/account/rechargeList",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "Success",
"data": {
"total": 1000,
"per_page": 20,
"current_page": 1,
"last_page": 50,
"data": [
{
"id": 1111,
"origin_amount": "100000.000",
"amount": "99800.000",
"fee": "200.000",
"status": "Closed",
"created_at": "2026-08-03 09:09:37",
"finish_at": "2026-08-03 09:11:20",
"hash": "xxxx",
"to_address": "xxxx",
"from_address": "xxxx",
"currency": "USDT",
"chain": "TRX",
"risk_level": "low",
"refund_address": null,
"refund_fee": "0.00",
"refund_hash": null
}
],
"has_more": true
}
}Account
List deposits
GET
/
account
/
rechargeList
List deposits
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Query Parameters
Page
Example:
"1"
Page size
Example:
"20"
Start time (e.g. 2026-08-03 00:00:00)
End time (e.g. 2026-08-03 23:59:59)